Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.tpm.management.configuration
Interface BulkLoaderMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, TPMBaseMBean, weblogic.management.WebLogicMBean

public interface BulkLoaderMBean
extends TPMBaseMBean

This class provides an interface for importing, exporting and deleting trading partner management configuration data using XML.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `deleteXML(String tpmSelector)` Delete trading partner management configuration data.
`String` | `exportXML(String tpmSelector)` Export trading partner managmeent configuration.
`void` | `importXML(String tpmData)` Import trading partner managment configuration.

Methods inherited from interface com.bea.wli.tpm.management.configuration.TPMBaseMBean
`fromXML, getDelegateObject, isActive, publish, remove, setActive, setDelegateObject, toXML, toXMLInternal, update, updateInternal`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### importXML

    public void importXML(String tpmData)
                   throws ManagementException

  Import trading partner managment configuration.

  Parameters:
    `tpmData` - XML representation of the TPM data to be imported.
  Throws:
    `ManagementException`

### exportXML

    public String exportXML(String tpmSelector)
                     throws ManagementException

  Export trading partner managmeent configuration.

  Parameters:
    `tpmSelector` - XML representation of the TPM data to be selected for export, or null if all data is to be exported.
  Returns:
    XML string containing the export TPM data.
  Throws:
    `ManagementException`

### deleteXML

    public void deleteXML(String tpmSelector)
                   throws ManagementException

  Delete trading partner management configuration data.

  Parameters:
    `tpmSelector` - XML representation of the TPM data to be selected for deleted.
  Throws:
    `ManagementException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD